Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.buf
Interface ByteChunk.ByteOutputChannel

All Known Implementing Classes:
  InternalOutputBuffer, OutputBuffer, OutputBuffer

Enclosing interface:
  ByteChunk

public static interface ByteChunk.ByteOutputChannel

Method Summary
`void` | `realWriteBytes(byte[] cbuf, int off, int len)` Send the bytes ( usually the internal conversion buffer ).

Method Detail

### realWriteBytes

    public void realWriteBytes(byte[] cbuf,
                               int off,
                               int len)
                        throws java.io.IOException

  Send the bytes ( usually the internal conversion buffer ). Expect 8k output if the buffer is full.

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.